Authorization: Bearer ********************{
"name": "اسم جديد",
"is_active": false
}curl --location --request PUT 'https://api.msaaq.com/v1/v1/admin/communities/1' \
--header 'X-Academy-ID: {{academy_id}}' \
--header 'Accept: application/json' \
--header 'Accept-Language: ar' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "اسم جديد",
"is_active": false
}'{
"message": "تم الحفظ بنجاح",
"data": {
"id": 1,
"name": "مجتمع الأكاديمية العام",
"description": "مجتمع عام لجميع الطلاب",
"slug": "mjtma-alakadymyh-alaam",
"type": "default",
"visibility": "all_students",
"status": "active",
"is_active": true,
"members_count": 342,
"topics_count": 89,
"categories_count": 5,
"created_at": "2026-02-26 11:30:00",
"updated_at": "2026-02-26 11:30:00",
"categories": [
{
"id": 1,
"community_id": 1,
"name": "عام",
"description": "نقاشات عامة",
"slug": "general",
"sort": 0,
"topics_count": 30,
"created_at": "2026-02-26 11:30:00",
"updated_at": "2026-02-26 11:30:00"
}
]
}
}